Bug 773511 - Review Request: linuxdcpp - A file-sharing client for the Direct Connect network
Review Request: linuxdcpp - A file-sharing client for the Direct Connect network
Status: CLOSED DUPLICATE of bug 813832
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-01-11 23:50 EST by Steven Sheehy
Modified: 2015-01-12 03:13 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-07-03 16:27:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
linuxdcpp.spec (3.84 KB, text/x-rpm-spec)
2012-01-11 23:51 EST, Steven Sheehy
no flags Details
linuxdcpp-1.1.0-1.fc16.src.rpm (526.94 KB, application/x-rpm)
2012-01-11 23:52 EST, Steven Sheehy
no flags Details

  None (edit)
Description Steven Sheehy 2012-01-11 23:50:41 EST
Spec URL: Attached to bug
SRPM URL: Attached to bug
Description: A file-sharing client for the Direct Connect network
LinuxDC++ is a Direct Connect client based on DC++.
Utilizing the latest DC++ core, LinuxDC++ offers similar 
functionality to the Windows client like segmented downloading, 
TTH based file integrity, etc. with a GTK+ user interface. 
LinuxDC++ is free and open source software licensed under the GPL.

Direct Connect (DC) is a peer-to-peer (P2P) file-sharing protocol. 
Clients connect to a central hub where they can chat or share 
files with one another. Users can view other users' list of 
shared files or search the hub for files.
Comment 1 Steven Sheehy 2012-01-11 23:51:30 EST
Created attachment 552287 [details]
linuxdcpp.spec
Comment 2 Steven Sheehy 2012-01-11 23:52:18 EST
Created attachment 552288 [details]
linuxdcpp-1.1.0-1.fc16.src.rpm
Comment 3 Steven Sheehy 2012-01-12 00:01:26 EST
linuxdcpp was previously in Fedora but was obsoleted due to not being maintained. The previous package review was in bug #234331, but that bug did not allow me to set fedora-cvs flag to ? as mentioned in:

https://fedoraproject.org/wiki/Package_SCM_admin_requests#Package_Change_Requests_for_existing_packages

Since it was not recommended to reopen that bug, I am opening this new bug and attaching the updated spec and SRPM files (I don't have a public URL to upload them to). These changes upgrade the linuxdcpp package to 1.1.0 and drop a patch that has been merged into upstream. 

A couple of patches were added to stop rpmlint from complaining about some issues that did not keep the package from building and running. Since I am a developer of linuxdcpp as well I will make sure these get merged into upstream before the next release.
Comment 4 František Dvořák 2012-12-09 10:58:25 EST
If I'm not mistaken, you would need a sponsor? Blocks field updated.

Quick informal check of the packaging:

[valtri@forkys results]$ rpmlint *.rpm
linuxdcpp.x86_64: E: non-standard-executable-perm /usr/bin/linuxdcpp 0775L
3 packages and 0 specfiles checked; 1 errors, 0 warnings.

1. MUST: Permissions on files must be set properly.

The problem is probably the write access for the group.

2. MUST: Packages containing GUI applications must include a %{name}.desktop file, and that file must be properly installed with desktop-file-install in the %install section.

See https://fedoraproject.org/wiki/Packaging:Guidelines?rd=Packaging/Guidelines#desktop-file-install_usage

3. These items are not needed for Fedora or EPEL >= 6. You can consider removing them, but it is not a blocker:

'Group:' tag
'BuildRoot:' tag
'%defattr' tag
'%clean' section
rm -rf %{buildroot} (from beginning of '%install' section)
Comment 5 Michael Schwendt 2013-01-22 19:28:37 EST
* Please don't attach packages inside bugzilla. Instead, follow the following process and notice the steps where you can request fedorapeople.org storage as a last resort: https://fedoraproject.org/wiki/Join_the_package_collection_maintainers

* Also run rpmlint (or "rpmlint -i" for more helpful messages) on all packages, i.e. the src.rpm and the built rpms.

* About Patch1, please notice:
http://fedoraproject.org/wiki/Common_Rpmlint_issues#incorrect-fsf-address

* The %install section is not for compiling files, so you don't need CXXFLAGS in there, and %_smp_mflags typically are not used there either.

* Files below %_mandir are automatically marked %doc.
Comment 6 Steven Sheehy 2014-07-03 16:27:08 EDT

*** This bug has been marked as a duplicate of bug 813832 ***
Comment 7 Parag AN(पराग) 2015-01-12 03:13:56 EST
Removing FE-NEEDSPONSOR from the closed review tickets.

Note You need to log in before you can comment on or make changes to this bug.